<div class="contenedor">
  <app-side-bar></app-side-bar>
  <div *ngIf="this.proyecto" class="p-3 d-flex" style="width: 85vw; flex-direction:column">
    <div class="position-relative align-items-center mb-2 col-12">
      <!-- Titulo de la página, buscador y calendario -->
      <div class="d-flex mb-4">
        <h2 class="me-4">Informe</h2>
        <h4 class="max-content"> {{proyecto.nombre}}</h4>
      </div>
      <section class="d-flex align-items-end">
        <div class="container m-0" >
          <div class="row recuadro">
            <div class="col-md-6">
              <div class="d-flex justify-content-center">Total incidencias</div>
            </div>
            <div class="col-md-6 text-center">
              <div>{{proyecto.numInc}}</div>
            </div>
          </div>
          <div class="row recuadro">
            <div class="col-md-6">
              <div class="d-flex justify-content-center">Total inspecciones</div>
            </div>
            <div class="col-md-6 text-center">
              <div>{{proyecto.numIns}}</div>
            </div>
          </div>
        </div>
        <div class="d-flex">
          <!-- Calendario -->
          <div class="d-flex align-items-center position-relative">
            <div [ngClass]="{'pressed-button': startDate.value !== ''}" class="pressed-button me-4">
              <img class="cursor-pointer" (click)="openCalendar()" src="assets/img/calendario.svg">
            </div>
            <form #calendar class="col visibility-hidden sombra calendario">
              <img class="cross position-absolute cursor-pointer" (click)="closeCalendar()" src="assets/img/xmark.svg">
              <div class="row d-flex mb-3">
                <div class="col-sm-6 max-content mb-2">
                  <p class="max-content">Inicio</p>
                  <input #startDate type="date">
                </div>
                <div class="col-sm-6 max-content mb-2">
                  <p class="max-content">Fin</p>
                  <input #endDate type="date">
                </div>
              </div>
              <div class="justify-content-center d-flex">
                <button (click)="removeDate()" class="btn btn-outline-secondary me-3">Borrar</button>
                <button (click)="searchDate()" class="btn btn-primary text-white">Buscar</button>
              </div>
            </form>
          </div>
          <!-- Buscador -->
          <div class="position-relative align-items-center d-flex">
            <input #searchInput (input)="search($event)" class="align-self-center buscador entrada sombra" type="text" placeholder="Buscar" name="buscar">
            <ul *ngIf="searchResults.length > 0" class="list-group position-absolute busqueda">
              <li *ngFor="let result of searchResults; let i = index" class="list-group-item" (click)="selectResult(result, i)">
                <span *ngIf="i === 0 || i === 1 || i === 2; else inspeccion" class="group-search-incidencia p-1 me-2">Incidencia</span>
                <ng-template #inspeccion>
                  <span class="group-search-inspeccion p-1 me-2">
                    Inspección
                  </span>
                   </ng-template>
                <span [innerHTML]="result"></span>
              </li>
            </ul>
          </div>
        </div>
      </section>
    </div>

    <!-- Tabla -->
    <div class="tables d-flex">
      <section class="mt-4 tabla col-6">
        <h4 class="text-white">Incidencias</h4>
        <div class="table-container">
          <table class="table table-hover">
          <thead>
            <tr>
              <!-- <th>
                <div class="d-flex align-items-center">
                  <div class="custom-control custom-checkbox ml">
                    <input type="checkbox" class="custom-control-input" id="customCheck2">
                  </div>
                  <div class="d-flex flex-direction mFlechas">
                    <img class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                    <img class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                  </div>
                </div>
              </th> -->
              <th>
                <div class="d-flex align-items-center">
                  <div>
                    Codigo
                  </div>
                  <div class="d-flex flex-direction mFlechas">
                    <img (click)="ordenar('asc', 'codigo', 'incidencia')" class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                    <img (click)="ordenar('desc', 'codigo', 'incidencia')" class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                  </div>
                </div>
              </th>
              <th>
                <div class="d-flex align-items-center">
                  <div>
                    Usuario
                  </div>
                  <div class="d-flex flex-direction mFlechas">
                    <img (click)="ordenar('asc', 'autor', 'incidencia')" class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                    <img (click)="ordenar('desc', 'autor', 'incidencia')" class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                  </div>
                </div>
              </th>
              <th>
                <div class="d-flex align-items-center">
                  <div>
                    Descripción
                  </div>
                  <div class="d-flex flex-direction mFlechas">
                    <img (click)="ordenar('asc', 'descripcion', 'incidencia')" class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                    <img (click)="ordenar('desc', 'descripcion', 'incidencia')" class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                  </div>
                </div>
              </th>
              <th>
                <div class="d-flex align-items-center">
                  <div>
                    Fecha
                  </div>
                  <div class="d-flex flex-direction mFlechas">
                    <img (click)="ordenar('asc', 'fechaCreacion', 'incidencia')" class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                    <img (click)="ordenar('desc', 'fechaCreacion', 'incidencia')" class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                  </div>
                </div>
              </th>
              <th>
                <div class="d-flex align-items-center">
                  <div>
                    Estado
                  </div>
                  <div class="d-flex flex-direction mFlechas">
                    <img (click)="ordenar('asc', 'estado', 'incidencia')" class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                    <img (click)="ordenar('desc', 'estado', 'incidencia')" class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                  </div>
                </div>
              </th>
            </tr>
        </thead>
          <tbody>
            <tr #row class="cursor-pointer" (click)="selectInspecciones(incidencia.uid, i);" *ngFor="let incidencia of incidencias; let i = index">
              <!-- <td>
                <div class="custom-control custom-checkbox ml">
                    <input type="checkbox" class="custom-control-input" id="customCheck2">
                </div>
              </td> -->
              <td class="align-items-center tamCeldaNombre">{{incidencia.codigo}}</td>
              <td class="align-items-center" title="Laura García Hernández">
                <div class="tamCeldaAutor">
                  {{incidencia.autorNombre}}
                </div>
              </td>
              <td class="align-items-center">
                <div class="tamCeldaDescripcion" [title]="incidencia.descripcion">
                  {{incidencia.descripcion}}
                </div>
              </td>
              <td class="align-items-center">{{incidencia.fechaCreacion | date:'dd/MM/yy, h:mm:ss a'}}</td>

              <td class="align-items-center">
                <div
                [ngClass]="{
                  'conformeIncidencia': incidencia.estado === 'conforme',
                  'creada': incidencia.estado === 'creada',
                  'noconformeIncidencia': incidencia.estado === 'no conforme',
                  'cerrada': incidencia.estado === 'cerrada'
                  }" class="estado">{{incidencia.estado}}</div>
              </td>
            </tr>
          </tbody>
          </table>
        </div>
      </section>
      <section class="mt-4 tabla col-6">
        <h4  class="text-white">Inspecciones</h4>
        <div class="table-container">
          <table class="table table-hover">
            <thead>
              <tr>
                <!-- <th>
                  <div class="d-flex align-items-center">
                    <div class="custom-control custom-checkbox ml">
                      <input type="checkbox" class="custom-control-input" id="customCheck2">
                    </div>
                    <div class="d-flex flex-direction mFlechas">
                      <img class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                      <img class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                    </div>
                  </div>
                </th> -->
                <th>
                  <div class="d-flex align-items-center">
                    <div>
                      Codigo
                    </div>
                    <div class="d-flex flex-direction mFlechas">
                      <img (click)="ordenar('asc', 'codigo', 'inspeccion')" class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                      <img (click)="ordenar('desc', 'codigo', 'inspeccion')" class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                    </div>
                  </div>
                </th>
                <th>
                  <div class="d-flex align-items-center">
                    <div>
                      Usuario
                    </div>
                    <div class="d-flex flex-direction mFlechas">
                      <img (click)="ordenar('asc', 'autor', 'inspeccion')" class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                      <img (click)="ordenar('desc', 'autor', 'inspeccion')" class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                    </div>
                  </div>
                </th>
                <th>
                  <div class="d-flex align-items-center">
                    <div>
                      Descripción
                    </div>
                    <div class="d-flex flex-direction mFlechas">
                      <img (click)="ordenar('asc', 'fechaCreacion', 'inspeccion')" class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                      <img (click)="ordenar('desc', 'fechaCreacion', 'inspeccion')" class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                    </div>
                  </div>
                </th>
                <th>
                  <div class="d-flex align-items-center">
                    <div>
                      Fecha
                    </div>
                    <div class="d-flex flex-direction mFlechas">
                      <img (click)="ordenar('asc', 'fechaCreacion', 'inspeccion')" class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                      <img (click)="ordenar('desc', 'fechaCreacion', 'inspeccion')" class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                    </div>
                  </div>
                </th>
                <th>
                  <div class="d-flex align-items-center">
                    <div>
                      Estado
                    </div>
                    <div class="d-flex flex-direction mFlechas">
                      <img (click)="ordenar('asc', 'estado', 'inspeccion')" class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                      <img (click)="ordenar('desc', 'estado', 'inspeccion')" class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                    </div>
                  </div>
                </th>
              </tr>
          </thead>
            <tbody>
              <tr *ngFor="let inspeccion of inspecciones; let i = index">
                <!-- <td>
                  <div class="custom-control custom-checkbox ml">
                      <input type="checkbox" class="custom-control-input" id="customCheck2">
                  </div>
                </td> -->
                <td class="align-items-center tamCeldaNombre">{{inspeccion.codigo}}</td>
                <td class="align-items-center" title="Laura García Hernández">
                  <div class="tamCeldaAutor">
                    {{inspeccion.autorNombre}}
                  </div>
                </td>
                <td class="align-items-center">
                  <div class="tamCeldaDescripcion" [title]="inspeccion.descripcion">
                    {{inspeccion.descripcion}}
                  </div>
                </td>
                <td class="align-items-center">{{inspeccion.fechaCreacion | date:'dd/MM/yy, h:mm:ss a'}}</td>
                <td class="align-items-center">
                  <div [ngClass]="{'conformeInspeccion': inspeccion.estado === 'conforme', 'creada': inspeccion.estado === 'creada', 'noconformeInspeccion' : inspeccion.estado === 'no conforme'}" class="estado">{{inspeccion.estado}}</div>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </section>
    </div>
  </div>
</div>
